name: FLOW UQ vnv study on toy problem, 4 WT Wind Farm
site: !include FLOW_toy_study_energy_site.yaml
wind_farm: !include FLOW_toy_study_wind_farm.yaml
attributes:
  flow_model:
    name: &model_name code_saturne
  analysis: !include FLOW_toy_study_analysis_code_saturne.yaml

  model_outputs_specification:
    output_folder: "results"
    cases_run:
      all_occurences: True
      subset: [88]
    turbine_outputs:
      turbine_nc_filename: 'turbine_data.nc' # dimension = time, turbine
      output_variables: ['power', 'rotor_effective_velocity'] #'frequency'
    #
    flow_field:
      report: True
      flow_nc_filename: flow_field.nc
    
      output_variables: ['wind_speed', 'wind_direction','tke']
      z_planes:
        z_sampling: "hub_heights"
        xy_sampling: "original_grid"
    #
    

output:
  
  turbine_data: !include turbine_data.nc